Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004922OCamlOCamlbuild (the tool)public2009-11-17 13:222011-05-29 12:20
ReporterBoris Yakobowski 
Assigned Toertai 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1 
Target VersionFixed in Version3.11.2+dev 
Summary0004922: Ocamlbuild recompiles too many files
DescriptionWhen a compilation fails, Ocamlbuild does not correctly remembers some of the files it has successfully built. This is very tiresome on big builds, where the same files may need to be recompiled as long as the project has not been entirely rebuilt. The attached patch fixes this problem. (Notice that there are two completely independent bugs.)
TagsNo tags attached.
Attached Filesdiff file icon patch-ocamlbuild.diff [^] (1,366 bytes) 2009-11-17 13:22 [Show Content]

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-11-17 13:22 Boris Yakobowski New Issue
2009-11-17 13:22 Boris Yakobowski File Added: patch-ocamlbuild.diff
2009-11-26 16:41 xleroy Status new => assigned
2009-11-26 16:41 xleroy Assigned To => ertai
2009-12-07 09:37 xclerc Status assigned => resolved
2009-12-07 09:37 xclerc Fixed in Version => 3.11.2+dev
2009-12-07 09:37 xclerc Resolution open => fixed
2011-05-29 12:20 xleroy Status resolved => closed
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker